/* JJT: 0.2.2 */

package w3c.pics.parser;

import java.util.*;

class PICSOr_Expr extends SimpleNode implements EvalNode {
  PICSOr_Expr(int id) {
    super(id);
  }

  String text = null;
  
  public String getText() {
    return text;
  }

  public boolean isValid(Vector labellist, Hashtable silist) {
    int childcount = this.children.length;
    boolean currentbool = true;
    for (int count=0; count<childcount; count++) {
      Node testnode = children[count];
      if (testnode instanceof PICSBool_Node)
	continue;
      EvalNode orchild = (EvalNode)testnode;
      currentbool = orchild.isValid(labellist, silist);
      // System.out.println("currentbool: "+currentbool);
      if (currentbool)
	return true;
    }
    return false;
  }
}
